From ba4be74f8a4ad1cbecf057dbd45936c4f790303c Mon Sep 17 00:00:00 2001 From: Christian Colglazier Date: Sat, 21 May 2022 13:42:01 -0400 Subject: [PATCH] Basic fastener --- follow_focus.py | 18 ++++++++++++++++-- requirements.txt | 1 + 2 files changed, 17 insertions(+), 2 deletions(-) diff --git a/follow_focus.py b/follow_focus.py index 89044e0..532419c 100644 --- a/follow_focus.py +++ b/follow_focus.py @@ -21,8 +21,9 @@ large_gear_diameter=8.5 gap = stepper_motor_size * math.sin(math.radians(slant_degree)) / math.sin(math.radians(90-slant_degree)) width = math.sqrt(gap**2 + stepper_motor_size**2 - 2*gap*stepper_motor_size*math.cos(math.radians(90))) -d=20 +d=25 t=7 +mount_gap=2 end_x=gap+stepper_motor_size-5 end_y=-4.5 @@ -56,7 +57,7 @@ def createOutline(ex_amount): n_x=base.val().endPoint().toTuple()[0] n_y=base.val().endPoint().toTuple()[1] coor_x, coor_y = findRodInter(n_x, n_y) - last_x, last_y = findRodInter(n_x, n_y+2) + last_x, last_y = findRodInter(n_x, n_y+mount_gap) base = base.lineTo(coor_x, coor_y) base = base.threePointArc((center_x+rod_thickness/2, center_y), (last_x, last_y)) @@ -110,7 +111,19 @@ m_hole_diameter=6 m_hole_depth=3 lid = lid.faces('